#!/bin/sh

echo "Removing files"
rm -rf build/* html/*

echo "Running tgen"
tgen  --tool_dir=/usr/bin --ext_target=html --src=$PWD/src --dest=$PWD/build

#if (! -d html) then
#    mkdir html
#fi

echo "Running ttree"
ttree -r --ignore inc  -s build/ -d html/ -l lib/ \
 --copy '\.(gif|png|jpg|css|pdf|gz|zip|rpm)$' \
# --define Basepath=/projects/rackview

echo "Fixing up permissions"
chmod -R a+r *
find . -type d | xargs chmod a+x

echo "Deploying to localhost..."
rsync -Ca html/ /var/www/html/projects/rackview/

echo "Deploying to production..."
rsync -az -e ssh --delete html/ bryce@shell.sourceforge.net:/home/groups/r/ra/rackview/htdocs/

# TODO:  
#
#   * Investigate how to auto-add breadcrumbs to header/footer
#   * Include defines for:
#       - per page last change user, time, date
#       - build hostname, user, time, date
#       - deploy target hostname, user, time, date
#       - time required to build & deploy
#       - total size & number of pages in site
#       - current date
#   * Investigate tracking of approval / review of build (by page?)
#   * Investigate how to do auto-identification of changed pages

